"use strict";

const dateFns = require("date-fns");
const syncpipe = require("./");

function getTime() {
	return new Date();
}

function msUntilNextMinute() {
	return syncpipe(getTime(), [
		(_) => dateFns.addMinutes(_, 1),
		(_) => dateFns.setSeconds(_, 0),
		(_) => dateFns.setMilliseconds(_, 0),
		(_) => dateFns.differenceInMilliseconds(_, getTime())
	]);
}

console.log(msUntilNextMinute()); // 2365
